#include <iostream>
#include <vector>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>

using namespace std;

vector<bool>used;
size_t n;

size_t g, m;
bool Dfs(int from, int to) {
    used[from] = true;
    if (from == to) {
        return true;
    }
    for (int i = 1; i <= n; i++) {
        if (!used[i] && __gcd(i, from) >= g) {
            if (Dfs(i, to)) {
                return true;
            }
        }
    }
    return false;
}

int main(void) {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin >> n >> g >> m;
    used.resize(n + 1);
    for (size_t i = 0; i < m; i++) {
        int x, y;
        cin >> x >> y;
        fill_n(used.begin(), n + 1, 0);
        bool res = Dfs(x, y);
        if (res) {
            cout << "Yes" << "\n";
        } else {
            cout << "No" << "\n";
        }
    }
}
