#!/usr/bin/python3

import sys

p = open(sys.argv[2], "r")
s = p.read(100000)
s = s.replace("global", "")
s = s.replace("int", "Int")
s = s.replace("mutex", "Mutex")
s = s.replace("reader_begin", "void reader(int mode) {");
s = s.replace("reader_end", "}");
s = s.replace("read()", "read(mode)");
s = s.replace("writer_begin", "void writer(int mode) {");
s = s.replace("writer_end", "}");
s = s.replace("write()", "write(mode)")

header = open("/home/judges/000104/problems/rw/header.cpp", "r").read(10000)
footer = open("/home/judges/000104/problems/rw/footer.cpp", "r").read(10000)

src = open("tmp.cpp", "w")
src.write(header)
src.write(s)
src.write(footer)
src.close()

import subprocess
from io import StringIO
ret = subprocess.call(["g++", "tmp.cpp", "-pthread"])
if ret != 0:
    sys.exit(ret)

ret = subprocess.Popen("./a.out", stdout=subprocess.PIPE, stdin=open(sys.argv[1], "r"))
try:
    ret.wait(1)
except:
    print("Timeout")
    sys.exit(4)
print(ret.stdout.read(1000).decode('ascii'))
sys.exit(ret.returncode)
